<?php declare(strict_types=1);

namespace massivedynamic\curl;

enum Info : int {
	case EFFECTIVE_URL             = CURLINFO_EFFECTIVE_URL;
	case HTTP_CODE                 = CURLINFO_HTTP_CODE;
	case FILETIME                  = CURLINFO_FILETIME;
	case TOTAL_TIME                = CURLINFO_TOTAL_TIME;
	case NAMELOOKUP_TIME           = CURLINFO_NAMELOOKUP_TIME;
	case CONNECT_TIME              = CURLINFO_CONNECT_TIME;
	case PRETRANSFER_TIME          = CURLINFO_PRETRANSFER_TIME;
	case STARTTRANSFER_TIME        = CURLINFO_STARTTRANSFER_TIME;
	case REDIRECT_COUNT            = CURLINFO_REDIRECT_COUNT;
	case REDIRECT_TIME             = CURLINFO_REDIRECT_TIME;
	case REDIRECT_URL              = CURLINFO_REDIRECT_URL;
	case PRIMARY_IP                = CURLINFO_PRIMARY_IP;
	case PRIMARY_PORT              = CURLINFO_PRIMARY_PORT;
	case LOCAL_IP                  = CURLINFO_LOCAL_IP;
	case LOCAL_PORT                = CURLINFO_LOCAL_PORT;
	case SIZE_UPLOAD               = CURLINFO_SIZE_UPLOAD;
	case SIZE_DOWNLOAD             = CURLINFO_SIZE_DOWNLOAD;
	case SPEED_DOWNLOAD            = CURLINFO_SPEED_DOWNLOAD;
	case SPEED_UPLOAD              = CURLINFO_SPEED_UPLOAD;
	case HEADER_SIZE               = CURLINFO_HEADER_SIZE;
	case HEADER_OUT                = CURLINFO_HEADER_OUT;
	case REQUEST_SIZE              = CURLINFO_REQUEST_SIZE;
	case SSL_VERIFYRESULT          = CURLINFO_SSL_VERIFYRESULT;
	case CONTENT_LENGTH_DOWNLOAD   = CURLINFO_CONTENT_LENGTH_DOWNLOAD;
	case CONTENT_LENGTH_UPLOAD     = CURLINFO_CONTENT_LENGTH_UPLOAD;
	case CONTENT_TYPE              = CURLINFO_CONTENT_TYPE;
	case PRIVATE                   = CURLINFO_PRIVATE;
	case RESPONSE_CODE             = CURLINFO_RESPONSE_CODE;
	case HTTP_CONNECTCODE          = CURLINFO_HTTP_CONNECTCODE;
	case HTTPAUTH_AVAIL            = CURLINFO_HTTPAUTH_AVAIL;
	case PROXYAUTH_AVAIL           = CURLINFO_PROXYAUTH_AVAIL;
	case OS_ERRNO                  = CURLINFO_OS_ERRNO;
	case NUM_CONNECTS              = CURLINFO_NUM_CONNECTS;
	case SSL_ENGINES               = CURLINFO_SSL_ENGINES;
	case COOKIELIST                = CURLINFO_COOKIELIST;
	case FTP_ENTRY_PATH            = CURLINFO_FTP_ENTRY_PATH;
	case APPCONNECT_TIME           = CURLINFO_APPCONNECT_TIME;
	case CERTINFO                  = CURLINFO_CERTINFO;
	case CONDITION_UNMET           = CURLINFO_CONDITION_UNMET;
	case RTSP_CLIENT_CSEQ          = CURLINFO_RTSP_CLIENT_CSEQ;
	case RTSP_CSEQ_RECV            = CURLINFO_RTSP_CSEQ_RECV;
	case RTSP_SERVER_CSEQ          = CURLINFO_RTSP_SERVER_CSEQ;
	case RTSP_SESSION_ID           = CURLINFO_RTSP_SESSION_ID;
	case CONTENT_LENGTH_DOWNLOAD_T = CURLINFO_CONTENT_LENGTH_DOWNLOAD_T;
	case CONTENT_LENGTH_UPLOAD_T   = CURLINFO_CONTENT_LENGTH_UPLOAD_T;
	case HTTP_VERSION              = CURLINFO_HTTP_VERSION;
	case PROTOCOL                  = CURLINFO_PROTOCOL;
	case PROXY_SSL_VERIFYRESULT    = CURLINFO_PROXY_SSL_VERIFYRESULT;
	case SCHEME                    = CURLINFO_SCHEME;
	case SIZE_DOWNLOAD_T           = CURLINFO_SIZE_DOWNLOAD_T;
	case SIZE_UPLOAD_T             = CURLINFO_SIZE_UPLOAD_T;
	case SPEED_DOWNLOAD_T          = CURLINFO_SPEED_DOWNLOAD_T;
	case SPEED_UPLOAD_T            = CURLINFO_SPEED_UPLOAD_T;
	case APPCONNECT_TIME_T         = CURLINFO_APPCONNECT_TIME_T;
	case CONNECT_TIME_T            = CURLINFO_CONNECT_TIME_T;
	case FILETIME_T                = CURLINFO_FILETIME_T;
	case NAMELOOKUP_TIME_T         = CURLINFO_NAMELOOKUP_TIME_T;
	case PRETRANSFER_TIME_T        = CURLINFO_PRETRANSFER_TIME_T;
	case REDIRECT_TIME_T           = CURLINFO_REDIRECT_TIME_T;
	case STARTTRANSFER_TIME_T      = CURLINFO_STARTTRANSFER_TIME_T;
	case TOTAL_TIME_T              = CURLINFO_TOTAL_TIME_T;
}